<?php
/**
 * Box effect
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->boxSetting;
$effect  = ' data-delay="' . $st->getSetting( 'show_delay', 0 ) . '"';
$effect .= ' data-show_effect="' . $st->getSetting( 'show_effect', 'none' ) . '"';
$effect .= ' data-show_speed="' . $st->getSetting( 'show_effect_speed', 500 ) . '"';
$effect .= ' data-hide_effect="' . $st->getSetting( 'hide_effect', 'none' ) . '"';
$effect .= ' data-hide_speed="' . $st->getSetting( 'hide_effect_speed', 500 ) . '"';
if ( isset( $this->isPreview )) {
  $effect .= ' data-ispreview="1"';
} else {
  $effect .= ' data-ispreview="0"';
}
?>
<div class="ipptak-effect-settings"<?php echo $effect; ?>></div>
<?php
//
//Show Audio
$showAudio = $st->getSetting( 'show_audio', 0 );
if ( ! empty( $showAudio ) ) :
  $path = IPPTAK_BASE_URL . 'assets/audio/audio-' . $showAudio;
?>
<audio class="ipptak-audio ipptak-audio-show" style="display:none;">
  <source src="<?php echo $path; ?>.mp3" type="audio/mpeg">
  <source src="<?php echo $path; ?>.ogg" type="audio/ogg">
  <?php _e( 'Your browser does not support this audio format.', IPPTAK_SLUG ); ?>
</audio>
<?php
endif;

//
//Hide Audio
$hideAudio = $st->getSetting( 'hide_audio', 0 );
if ( ! empty( $hideAudio ) ) :
  $path = IPPTAK_BASE_URL . 'assets/audio/audio-' . $hideAudio;
?>
<audio class="ipptak-audio ipptak-audio-hide" style="display:none;">
  <source src="<?php echo $path; ?>.mp3" type="audio/mpeg">
  <source src="<?php echo $path; ?>.ogg" type="audio/ogg">
  <?php _e( 'Your browser does not support this audio format.', IPPTAK_SLUG ); ?>
</audio>
<?php
endif;
?>
