<?php
/**
 * Page content view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
?>

<?php
//Style
$this->view( 'front/page/content/style' );
?>

<div class="_main">
  <div class="_main-inner container">

    <?php
    $class = '_main-content';
    if ( $radius = $st->getSetting( 'main_border_radius' )) {
        $class .= ' _radius-' . $radius;
    }
    if ( $st->getSetting( 'main_shadow', 'false' ) == 'true' ) {
        $class .= ' _shadow-on';
    } else {
        $class .= ' _shadow-off';
    }
    ?>
    <div class="<?php echo $class; ?>">
      <div class="_main-content-inner">

        <?php
        //Content
        $this->view( 'front/page/content/main' );
        ?>

      </div>
    </div>
  </div>
</div>
