<?php
/**
 * Page content style
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
?>

<?php
// Set main style
$padding  = $st->getSetting( 'main_padding', 20 );
$bgcolor  = $st->getSetting( 'main_background_color', '#ffffff' );
$color    = $st->getSetting( 'main_text_color', '#333333' );
$bowidth  = $st->getSetting( 'main_border_width' );
$bocolor  = $st->getSetting( 'main_border_color', '#dddddd' );
$licolor  = $st->getSetting( 'main_link_color', '#222222' );
$lihover  = $st->getSetting( 'main_link_hover_color', '#222222' );
//Font
$font_opt = $st->getSetting( 'main_font_family', 'roboto' );
$family   = IPPtak_Font::getFamily( $font_opt );
?>
<style>
.ipptak-page ._main-inner {
  color: <?php echo $color; ?>;
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
      echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
  font-family: <?php echo $family; ?>;
  padding: <?php echo $padding; ?>px;
}
.ipptak-page ._main-content a {
  color: <?php echo $licolor; ?>;
}
.ipptak-page ._main-content a:hover {
  color: <?php echo $lihover; ?>;
}
</style>
