<?php
/**
 * Page navigation view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipptak-sidebar">
  <div class="ipptak-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipptak-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipptak-page-menu ipptak-tab-menu">
      <li>
        <a href="#ipptak-section-general" class="active">
          <i class="ipptak-fa ipptak-fa-cogs"></i>
          <strong><?php _e( 'General', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->bar ):
      ?>
      <li>
        <a href="#ipptak-section-content">
          <i class="ipptak-fa ipptak-fa-file-text"></i>
          <strong><?php _e( 'Content', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipptak-section-style">
          <i class="ipptak-fa ipptak-fa-paint-brush"></i>
          <strong><?php _e( 'Style', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipptak-section-countdown">
          <i class="ipptak-fa ipptak-fa-header"></i>
          <strong><?php _e( 'Countdown', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipptak-section-button">
          <i class="ipptak-fa ipptak-fa-square"></i>
          <strong><?php _e( 'Button', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipptak-section-effect">
          <i class="ipptak-fa ipptak-fa-magic"></i>
          <strong><?php _e( 'Effect', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
    <?php
    if ( $this->bar ):
    ?>
    <ul class="ipptak-page-menu">
      <li>
        <a class="ipptak-page-menu-preview _bar" href="#">
          <i class="ipptak-fa ipptak-fa-eye"></i>
          <strong><?php _e( 'Preview', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
    </ul>
    <?php
    endif;
    ?>
  </div>
</div>
