<?php
/**
 * Meta box options view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-metabox" class="ipptak-wrap">
  <div class="container-fluid container ipptak-form">
    <div class="ipptak-fields">

      <?php
      /*
       * Bar
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipptak-input-bar"><?php _e( 'Bar', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="ipptak_post_bar" id="ipptak-input-bar">
            <option value="0"><?php _e( 'None', IPPTAK_SLUG ); ?></option>
            <?php
            $current = get_post_meta( $this->post->ID, '__ipptak_post_bar', true );

            if ( ! empty( $this->bars ))
            {
              foreach( $this->bars as $bar )
              {
                $sltd = '';
                if ( $bar->ID == $current ) {
                  $sltd = ' selected="selected"';
                }
                echo '<option value="' . $bar->ID . '"' . $sltd . '>' . $bar->post_title . '</option>';
              }
            }
            ?>
          </select>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Box
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipptak-input-box"><?php _e( 'Box', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="ipptak_post_box" id="ipptak-input-box">
            <option value="0"><?php _e( 'None', IPPTAK_SLUG ); ?></option>
            <?php
            $current = get_post_meta( $this->post->ID, '__ipptak_post_box', true );

            if ( ! empty( $this->boxes ))
            {
              foreach( $this->boxes as $box )
              {
                $sltd = '';
                if ( $box->ID == $current ) {
                  $sltd = ' selected="selected"';
                }
                echo '<option value="' . $box->ID . '"' . $sltd . '>' . $box->post_title . '</option>';
              }
            }
            ?>
          </select>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
  </div>
  <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipptak_mbox_nonce' ); ?>
</div>
