<?php
/**
 * Page general style
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st     = $this->setting;
$imgurl = false;
if ( $bgimg = $st->getSetting( 'background_image' ))
{
    $data = wp_get_attachment_image_src( $bgimg, 'full' );
    if ( ! empty( $data[0] )) {
        $imgurl = $data[0];
    }
}
$repeat  = $st->getSetting( 'background_repeat', 'repeat' );
$bgcolor = $st->getSetting( 'background_color', '#f9f9f9' );
?>

<style>
.ipptak-page ._background {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
    background-color: <?php echo $bgcolor ?>;
    <?php
    if ( $imgurl ) {
      echo 'background-image: url(' . $imgurl . ');';
      echo 'background-repeat:'. $repeat . ';';
    }
    if ( $opacity = $st->getSetting( 'background_opacity' )) {
        $value = $opacity/100;
        echo 'opacity:' . $value . ';';
    }
    ?>
}
</style>
<div class="_background"></div>
