<?php
/**
 * Page top style
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st      = $this->setting;
$style   = $st->getSetting( 'header_style', 1 );

//
//Style options
$bgcolor  = $st->getSetting( 'header_background_color', '#ffffff' );
$color    = $st->getSetting( 'header_color', '#333333' );
$bowidth  = $st->getSetting( 'header_border_width' );
$bocolor  = $st->getSetting( 'header_border_color', '#dddddd' );
$padtop   = $st->getSetting( 'header_padding_top', '0' );
$padbot   = $st->getSetting( 'header_padding_bottom', '0' );
//Font
$font_opt = $st->getSetting( 'header_font_family', 'roboto' );
$family   = IPPtak_Font::getFamily( $font_opt );
?>
<style>
.ipptak-page ._top {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
}

<?php
//
//Style 1
if ( $style == 1 ) :
?>
.ipptak-page ._top {
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
}
<?php
//
//Style 2
elseif ( $style == 2 ) :
?>
.ipptak-page ._top {
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
<?php
//
//Style 3 & 4
else :
?>
.ipptak-page ._top-inner {
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
<?php
endif;
?>
</style>
