<?php
/**
 * Page top title view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st     = $this->setting;
$title  = $st->getSetting( 'header_title' );
$logo   = false;
if ( $logoid = $st->getSetting( 'header_logo' ) ) {
    $data = wp_get_attachment_image_src( $logoid, 'full' );
    if ( ! empty( $data[0] )) {
        $logo = $data[0];
    }
}
if ( ! empty( $title ) || ! empty( $logo )) :
    $class = '_header';
    if ( empty( $title )) {
        $class .= ' _header-w-logo';
    } elseif ( empty( $logo )) {
        $class .= ' _header-w-title';
    } else {
        $class .= ' _header-w-title-logo';
    }
?>
<!-- start: ._header -->
<div class="<?php echo $class; ?>">
  <!-- start: ._header-group -->
  <div class="_header-group">
    <?php
    if ( ! empty( $logo )) :
    ?>
    <div class="_header-logo">
      <img src="<?php echo $logo; ?>" alt="">
    </div>
    <?php
    endif;

    if ( ! empty( $title )) :
    ?>
    <div class="_header-title">
      <h1><?php echo $title; ?></h1>
    </div>
    <?php
    endif;
    ?>
  </div>
  <!-- end: ._header-group -->

</div>
<!-- end: ._header -->
<?php
endif;
?>
