(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
var ui           = require( './../libs/ui.js' );
var formHandler  = require( './../libs/form.js' );
var fademenu     = require( './../libs/fademenu.js' );
var collapse     = require( './../libs/collapse.js' );
var onoff        = require( './../libs/onoff.js' );
var uploader     = require( './../libs/uploader.js' );
var tab          = require( './../libs/tab.js' );
var imgOption    = require( './../libs/image-option.js' );
var manage       = require( './../libs/manage.js' );
var option       = require( './../libs/fancy-option.js' );
var stat         = require( './../libs/stat.js' );
var buttonActive = require( './../libs/button-active.js' );
var selectPreview = require( './../libs/select-preview.js' );

(function($)
{
  "use strict";

  /**
   * Tab menu
   */
  if ( $( '.ipptak-tab' ).length > 0 )
  {
    tab( $( '.ipptak-tab' ), {
      after_click: function( idtab, root ){
        var content = $( '#'+idtab );
        var title   = $( '.ipptak-title-content', content ).clone().removeClass( 'ipptak-hide' );
        $( '.ipptak-tab-title', root ).html( title );
        //
        //Save hide
        if ( content.hasClass( 'ipptak-save-hide' )){
          $( '.ipptak-top-submit, .ipptak-bottom-submit, .ipptak-bottom-action', root ).hide();
        } else {
          $( '.ipptak-top-submit, .ipptak-bottom-submit, .ipptak-bottom-action', root ).show();
        }
      },
      tab_init: function( idtab, root ) {
        var content = $( '#'+idtab );
        var title   = $( '.ipptak-title-content', content ).clone().removeClass( 'ipptak-hide' );
        $( '.ipptak-tab-title', root ).html( title );
        //
        //Save hide
        if ( content.hasClass( 'ipptak-save-hide' )){
          $( '.ipptak-top-submit, .ipptak-bottom-submit, .ipptak-bottom-action', root ).hide();
        } else {
          $( '.ipptak-top-submit, .ipptak-bottom-submit, .ipptak-bottom-action', root ).show();
        }
      }
    });
  }

  /**
   * fademenu
   */
  if ( $( '.ipptak-fademenu' ).length > 0 )
  {
    fademenu( $('.ipptak-fademenu' ) );
  }

  /**
   * collapse
   */
  if ( $( '.collapse' ).length > 0 )
  {
    collapse( $('.collapse' ) );
  }

  /**
   * on/off button
   */
  if ( $( '.ipptak-onoff' ).length > 0 ) {
    onoff( $( '.ipptak-onoff' ), {
      func_select: function( button, cont )
      {
        var root = cont.parents( '.ipptak-content-onoff' );
        if ( cont.hasClass( 'ipptak-onoff-action' ) && root.length > 0 )
        {
          var value = button.data( 'value' );
          if ( value == true ) {
            $( '.ipptak-content-onoff-main', root ).show();
          } else {
            $( '.ipptak-content-onoff-main', root ).hide();
          }
        }
      }
    });
  }

  /**
   * Image option
   */
  if ( $( '.ipptak-image-option' ).length > 0 ) {
    imgOption( $( '.ipptak-image-option' ));
  }

  /**
   * Fancy option
   */
  if ( $( '.ipptak-fancy-option' ).length > 0 ) {
    option( $( '.ipptak-fancy-option' ));
  }

  /**
   * Input uploader
   */
  if ( $( '.ipptak-upload-image' ).length > 0 ) {
    uploader( $( '.ipptak-upload-image' ));
  }

  //
  //Color picker
  //
  if ( $('.ipptak-color-picker').length > 0 )
  {
    $('.ipptak-color-picker').each( function() {
      var picker = $(this);
      picker.wpColorPicker({
        change: function(event, ui){
          picker.val( ui.color.toString() );
        }
      });
    });
  }
  /*
   * Date time picker
   */
  if ( $( '.ipptak-date-picker' ).length > 0 )
  {
    $('.ipptak-date-picker').datepicker({
      format: 'yyyy/mm/dd'
    });
  }
  if ( $( '.ipptak-time-picker' ).length > 0 )
  {
    $('.ipptak-time-picker').timepicker({
      minuteStep: 10,
      showInputs: false,
      disableFocus: true,
      showMeridian: false,
      defaultTime: false
    });
  }

  /*
   * Select button action
   */
  $( '.input-button-action' ).change( function()
  {
    var root  = $(this).parents( '.ipptak-button-action-fields' );
    var value = $(this).val();
    $( '.ipptak-button-action-fields', root ).hide();
    $( '.ipptak-button-action-' + value, root ).show();
  });

  /*
   * Date time picker
   */
  $( '.ipptak-end-date' ).datetimepicker();

  //
  //Input Share button
  if ( $( '.ipptak-social-option' ).length > 0 )
  {
    //button active
    $( '.ipptak-social-option .ipptak-social-active a' ).each( function()
    {
      buttonActive( $(this) );
    });

    //Style preview
    selectPreview( $( '#input-share-button-style' ), {
      cont_preview_selector:  '.ipptak-icon-preview',
      item_preview_class:     'ipptak-icon',
      root_image:             ipptak_img_url + 'icon/',
      preview_data:
      [
        'facebook',
        'twitter',
        'googleplus',
        'linkedin',
        'tumblr',
        'pinterest',
        'stumbleupon',
        'digg'
      ]
    });
  }

  /*
   * Input name
   */
  $( '#ipptak-manage-page #ipptak-section-general #input-title' ).focusout( function()
  {
    var title  = $(this).val();
    var pageid = $( '#ipptak-value-itemid' ).val();

    $.ajax({
      url: ajaxurl+'?doajax=1&ipptak=1&action=getslug',
      type: "POST",
      dataType: "json",
      data: 'title='+title+'&pageid='+pageid,
      success: function (result)
      {
        if ( result.status == '1' ) {
          $( '#ipptak-section-general #input-slug' ).val( result.slug );
        }
      }
    });
  });

  /**
   * Input page header type
   */
  $( '#ipptak-input-page-header-style' ).change( function()
  {
    var val = $(this).val();

    if ( val == 1 ) {
      $( '.ipptak-fields-header-design' ).hide();
    } else {
      $( '.ipptak-fields-header-design' ).show();
    }
  });
  /**
   * Input page footer type
   */
  $( '#ipptak-input-page-footer-style' ).change( function()
  {
    var val = $(this).val();

    if ( val == 1 ) {
      $( '.ipptak-fields-footer-design' ).hide();
    } else {
      $( '.ipptak-fields-footer-design' ).show();
    }
  });

  /**
   * Form bar handler
   */
   var formBarCreate = new formHandler( '#ipptak-form-bar-add' );
   formBarCreate.is_add = true;
   //Additional data
   formBarCreate.additional_data = function( data )
   {
       if ( this.is_add ) {
           data += '&isadd=1';
       }
       return data;
   };
   formBarCreate.init();

   var formBarEdit = new formHandler( '#ipptak-form-bar-update' );
   formBarEdit.init();

   //
   //Delete bar
   if ( $('.ipptak-bar-item-delete').length > 0 ) {
       var delete_url = ajaxurl+'?doajax=1&ipptak=1&action=delete_bar';
       manage.delete( $( '.ipptak-bar-item-delete' ), delete_url );
   }

  /**
   * Form box handler
   */
   var formBoxCreate = new formHandler( '#ipptak-form-box-add' );
   formBoxCreate.is_add = true;
   //Additional data
   formBoxCreate.additional_data = function( data )
   {
       if ( this.is_add ) {
           data += '&isadd=1';
       }
       return data;
   };
   formBoxCreate.init();

   var formBoxEdit = new formHandler( '#ipptak-form-box-update' );
   formBoxEdit.init();

   //
   //Delete box
   if ( $('.ipptak-box-item-delete').length > 0 ) {
       var delete_url = ajaxurl+'?doajax=1&ipptak=1&action=delete_box';
       manage.delete( $( '.ipptak-box-item-delete' ), delete_url );
   }

  /**
   * Form page handler
   */
   var formPageCreate = new formHandler( '#ipptak-form-page-add' );
   formPageCreate.is_add = true;
   //Additional data
   formPageCreate.additional_data = function( data )
   {
       if ( this.is_add ) {
           data += '&isadd=1';
       }
       return data;
   };
   formPageCreate.init();

   var formPageEdit = new formHandler( '#ipptak-form-page-update' );
   formPageEdit.init();

   //
   //Delete page
   if ( $('.ipptak-page-item-delete').length > 0 ) {
       var delete_url = ajaxurl+'?doajax=1&ipptak=1&action=delete_page';
       manage.delete( $( '.ipptak-page-item-delete' ), delete_url );
   }


  /**
   * Form style handler style
   */
   var formAddStyle = new formHandler( '#ipptak-form-style-create' );
   formAddStyle.is_add = true;
   //Additional data
   formAddStyle.additional_data = function( data )
   {
       if ( this.is_add ) {
           data += '&isadd=1';
       }
       return data;
   };
   formAddStyle.init();

   var formEditStyle = new formHandler( '#ipptak-form-style-update' );
   formEditStyle.init();

   //
   //Delete style
   if ( $('.ipptak-item-style-delete').length > 0 ) {
       var delete_url = ajaxurl+'?doajax=1&ipptak=1&action=delete_style';
       manage.delete( $( '.ipptak-item-style-delete' ), delete_url );
   }

   //
   //Settings form handler
   var formSetting = new formHandler( '#ipptak-form-setting' );
   formSetting.init();

   /*
    * Autoresponder
    */
   $( '.ipptak-input-optin' ).each( function()
   {
     var input = $(this);
     var cont  = input.parents( '#ipptak-section-optin' );

     input.focusout( function()
     {
       var html   = encodeURIComponent( input.val() );
       var parent = $( '.ipptak-optin-settings', cont );
       var action = ajaxurl+'?doajax=1&ipptak=1&action=getoptin';
       $.ajax({
         url: action,
         type: "POST",
         data: 'html='+html,
         dataType: "json",
         success: function ( result ) {
           if ( result.status == 1 )
           {
             var fields = [];
             if ( result.data.fields ) {
               fields = result.data.fields;
             }
             $( '.ipptak-input-autoresponder-action', parent ).val( result.data.action );
             $( 'select', parent ).html( '' );
             for ( var i=0; i<fields.length; i++ )
             {
               var option = '<option value="'+fields[i]+'">'+fields[i]+'</option>';
               $( 'select', parent ).append( option );
             }
             parent.show();
           }
         },
       });
     });
   });  


   //
   //Statistic
   //
  if ( $( '.ipptak-statistic' ).length > 0 ) {
      stat( $( '.ipptak-statistic' ), {
          chart_id: 'ipptak-chart-div',
          ajax_url: ajaxurl+'?doajax=1&ipptak=1&action=getchart'
      });
  }

  //
  //Preview
  //
  $( '.ipptak-page-menu-preview._bar' ).click( function()
  {
    var bar        = $( '.ipptak-preview-bar .ipptak-bar' );
    var settings   = $( '.ipptak-effect-settings', bar );
    var h_effect   = settings.data( 'hide_effect' );
    var h_speed    = settings.data( 'hide_speed' );
    var s_effect   = settings.data( 'show_effect' );
    var s_speed    = settings.data( 'show_speed' );
    var delay      = settings.data( 'delay' );
    var ispreview  = settings.data( 'ispreview' );

    var h_easing   = ipptak_getEasing( h_effect );
    var s_easing   = ipptak_getEasing( s_effect );

    //Open
    var attr = {};
    if ( bar.hasClass( 'ipptak-bar-bottom' ))
    {
      attr = {bottom:'0'};
    } else
    {
      attr = {top:'0' };
    }
    bar.animate(
      attr,
      {
        queue:false, duration:h_speed, easing:h_easing,
        complete: function()
        {
        }
      }
    );
    //Play audio
    ipptak_playAudio( 'showing', bar );

    return false;
  });

  //Box
  $( '.ipptak-page-menu-preview._box' ).click( function()
  {
    var box        = $( '.ipptak-preview-box .ipptak-box' );
    var settings   = $( '.ipptak-effect-settings', box );
    var h_effect   = settings.data( 'hide_effect' );
    var h_speed    = settings.data( 'hide_speed' );
    var s_effect   = settings.data( 'show_effect' );
    var s_speed    = settings.data( 'show_speed' );
    var delay      = settings.data( 'delay' );
    var ispreview  = settings.data( 'ispreview' );

    var h_easing   = ipptak_getEasing( h_effect );
    var s_easing   = ipptak_getEasing( s_effect );

    //Open
    var attr = {};
    if ( box.hasClass( 'ipptak-box-right' )) {
      attr = {right:'20px'};
    }
    else if ( box.hasClass( 'ipptak-box-center' )) {
      attr = {left:'50%' };
    }
    else {
      attr = {left:'20px' };
    }
    box.animate(
      attr,
      {
        queue:false, duration:h_speed, easing:h_easing,
        complete: function()
        {
        }
      }
    );
    //Play audio
    ipptak_playAudio( 'showing', box );

    return false;
  });

  function ipptak_getEasing( effect )
  {
    if ( effect == 'bounce' ) {
        var easing = 'easeOutBounce';
    } else if ( effect == 'back' ) {
        var easing = 'easeOutBack';
    } else if ( effect == 'elastic' ) {
        var easing = 'easeOutElastic';
    } else if ( effect == 'expo' ) {
        var easing = 'easeOutExpo';
    } else {
        var easing = 'linear';
    }
    return easing;
  }

  function ipptak_playAudio( type, root )
  {
    if ( type == 'hiding' ) {
      var audio = $( '.ipptak-audio-hide', root );
      if ( audio.length > 0 ) {
          audio[0].play();
      }
    } else
    {
      var audio = $( '.ipptak-audio-show', root );
      if ( audio.length > 0 ) {
          audio[0].play();
      }
    }
  }

})(jQuery);

},{"./../libs/button-active.js":3,"./../libs/collapse.js":4,"./../libs/fademenu.js":5,"./../libs/fancy-option.js":6,"./../libs/form.js":7,"./../libs/image-option.js":8,"./../libs/manage.js":9,"./../libs/onoff.js":10,"./../libs/select-preview.js":11,"./../libs/stat.js":12,"./../libs/tab.js":13,"./../libs/ui.js":14,"./../libs/uploader.js":15}],2:[function(require,module,exports){
var ui = require( './../libs/ui.js' );

(function($)
{
  "use strict";

  $(document).ready(function()
  {
    //
    //Init ui
    ui.base.modal.prototype.top_margin = '20px';
    var modal  = new ui.base.modal();

    ui.base.loader.prototype.image_base  = ipptak_img_url;
    ui.base.loader.prototype.loader_file = 'loading.gif'; 
    var loader  = new ui.base.loader();
    var message = new ui.base.message();


    var winWidth = $(window).width();

    //
    //Countdown flip
    $( '.ipptak-countdown-flip .ipptak-countdown-item' ).each( function()
    {
      var item   = $(this);
      var time   = item.data( 'time' );
      var format = item.data( 'format' );
      var strLbl = item.data( 'labels' );

      var labels = strLbl.split( '_' ),
      template   = _.template($('#ipptak-countdown-template').html()),
      currDate   = '00:00:00:00:00',
      nextDate   = '00:00:00:00:00',
      parser     = /([0-9]{2})/gi;

      // Parse countdown string to an object
      function ipptak_strfobj(str)
      {
        var parsed = str.match(parser),
            obj    = {};
        labels.forEach(function(label, i) {
          obj[label] = parsed[i]
        });
        return obj;
      }
      // Return the time components that diffs
      function ipptak_diff(obj1, obj2)
      {
        var diff = [];
        labels.forEach(function(key) {
          if (obj1[key] !== obj2[key]) {
            diff.push(key);
          }
        });
        return diff;
      }
      // Build the layout
      var initData = ipptak_strfobj(currDate);
      labels.forEach(function(label, i)
      {
        item.append(template({
          curr: initData[label],
          next: initData[label],
          label: label
        }));
      });
      // Starts the countdown
      item.countdown(time, function(event)
      {
        var newDate = event.strftime( format ),
            data;
        if (newDate !== nextDate)
        {
          currDate = nextDate;
          nextDate = newDate;
          // Setup the data
          data = {
            'curr': ipptak_strfobj(currDate),
            'next': ipptak_strfobj(nextDate)
          };
          // Apply the new values to each node that changed
          ipptak_diff(data.curr, data.next).forEach(function(label) {
            var selector = '.%s'.replace(/%s/, label),
                $node    = item.find(selector);
            // Update the node
            $node.removeClass('flip');
            $node.find('.curr').text(data.curr[label]);
            $node.find('.next').text(data.next[label]);
            // Wait for a repaint to then flip
            _.delay(function($node) {
              $node.addClass('flip');
            }, 50, $node);
          });
        }
      });
    });

    //
    //Countdown
    $( '.ipptak-countdown-basic .ipptak-countdown-item' ).each( function()
    {
      var item   = $(this);
      var time   = item.data( 'time' );
      var format = item.data( 'format' );
      var ftext  = ipptak_format_text( format );

      item.countdown( time )
        .on('update.countdown', function(event) {
          var $this = $(this).html(event.strftime( '' + ftext ));
        });
    });
    //formating countdown
    function ipptak_format_text( format )
    {
      var day    = '<div class="time"><strong class="count">%D</strong> <em class="label">day%!d</em></div>';
      var month  = '<div class="time"><strong class="count">%m</strong> <em class="label">month%!d</em></div>';
      var year   = '<div class="time"><strong class="count">%Y</strong> <em class="label">year%!d</em></div>';
      var week   = '<div class="time"><strong class="count">%w</strong> <em class="label">week%!d</em></div>';
      var hour   = '<div class="time"><strong class="count">%H</strong> <em class="label">hour%!d</em></div>';
      var minute = '<div class="time"><strong class="count">%M</strong> <em class="label">minute%!d</em></div>';
      var second = '<div class="time"><strong class="count">%S</strong> <em class="label">second%!d</em></div>';

      var _text = format
                  .replace( /:/g, ' ' )
                  .replace( '%Y', '{y}' )
                  .replace( '%m', '{m}' )
                  .replace( '%d', '{d}' )
                  .replace( '%w', '{w}' )
                  .replace( '%H', '{h}' )
                  .replace( '%M', '{i}' )
                  .replace( '%S', '{s}' );

      var text = _text
                  .replace( '{y}', year )
                  .replace( '{m}', month )
                  .replace( '{d}', day )
                  .replace( '{w}', week )
                  .replace( '{h}', hour )
                  .replace( '{i}', minute )
                  .replace( '{s}', second );

      return text;
    }

    //
    //Set bar button width
    //
    $( '.ipptak-bar .ipptak-button-wrapper' ).each( function()
    {
      var wrapper = $(this);
      var button  = $( '.ipptak-button', wrapper );
      var width   = button.outerWidth() + 30;
      wrapper.css( 'width', width );
    });

    //
    //Bar event
    //
    $( '.ipptak-bar' ).each( function()
    {
      var bar       = $(this);
      var settings  = $( '.ipptak-effect-settings', bar );
      var h_effect   = settings.data( 'hide_effect' );
      var h_speed    = settings.data( 'hide_speed' );
      var s_effect   = settings.data( 'show_effect' );
      var s_speed    = settings.data( 'show_speed' );
      var delay      = settings.data( 'delay' );
      var ispreview  = settings.data( 'ispreview' );

      var h_easing   = ipptak_getEasing( h_effect );
      var s_easing   = ipptak_getEasing( s_effect );

      //
      //First show bar
      if ( delay != '0' && ispreview != '1' )
      {
        if ( bar.hasClass( 'ipptak-bar-bottom' ))
        {
          bar.css( 'bottom', '-120%' );
        } else
        {
          bar.css( 'top', '-120%' );
        }

        var delayInt = new Number( delay );
        delayInt *= 1000;
        setTimeout( function()
        {
          var attr = {};
          if ( bar.hasClass( 'ipptak-bar-bottom' ))
          {
            attr = {bottom:'0'};
          } else
          {
            attr = {top:'0' };
          }
          bar.animate(
            attr,
            {
              queue:false, duration:h_speed, easing:h_easing,
              complete: function()
              {
              }
            }
          );
          //Play audio
          ipptak_playAudio( 'showing', bar );
        }
        , delayInt );
      }
      else if ( ispreview == '1' )
      {
        if ( bar.hasClass( 'ipptak-bar-bottom' ))
        {
          bar.css( 'bottom', '-120%' );
        } else
        {
          bar.css( 'top', '-120%' );
        }
      }

      //
      //Close bar
      var button = $( '.ipptak-close-button', bar );
      button.click( function()
      {
        var attr = {};
        if ( bar.hasClass( 'ipptak-bar-bottom' ))
        {
          attr = {bottom:'-120%'};
        } else
        {
          attr = {top:'-120%' };
        }
        bar.animate(
          attr,
          {
            queue:false, duration:h_speed, easing:h_easing,
            complete: function()
            {
            }
          }
        );
        //Play audio
        ipptak_playAudio( 'hiding', bar );

        return false;
      });

    });

    //
    //Box event
    //
    $( '.ipptak-box' ).each( function()
    {
      var box       = $(this);
      var settings  = $( '.ipptak-effect-settings', box );
      var h_effect   = settings.data( 'hide_effect' );
      var h_speed    = settings.data( 'hide_speed' );
      var s_effect   = settings.data( 'show_effect' );
      var s_speed    = settings.data( 'show_speed' );
      var delay      = settings.data( 'delay' );
      var ispreview  = settings.data( 'ispreview' );

      var h_easing   = ipptak_getEasing( h_effect );
      var s_easing   = ipptak_getEasing( s_effect );

      //
      //First show bar
      if ( delay != '0' && ispreview != '1' )
      {
        if ( box.hasClass( 'ipptak-box-right' )) {
          box.css( 'right', '-120%' );
        }
        else {
          box.css( 'left', '-120%' );
        }

        var delayInt = new Number( delay );
        delayInt *= 1000;
        setTimeout( function()
        {
          var attr = {};
          if ( box.hasClass( 'ipptak-box-right' )) {
            attr = {right:'20px'};
          }
          else if ( box.hasClass( 'ipptak-box-center' )) {
            attr = {left:'50%' };
          }
          else {
            attr = {left:'20px' };
          }
          box.animate(
            attr,
            {
              queue:false, duration:h_speed, easing:h_easing,
              complete: function()
              {
              }
            }
          );
          //Play audio
          ipptak_playAudio( 'showing', box );
        }
        , delayInt );
      }
      else if ( ispreview == '1' )
      {
        if ( box.hasClass( 'ipptak-box-right' ))
        {
          box.css( 'right', '-120%' );
        } else
        {
          box.css( 'left', '-120%' );
        }
      }

      //
      //Close box
      var button = $( '.ipptak-close-button', box );
      button.click( function()
      {
        var attr = {};
        if ( box.hasClass( 'ipptak-box-right' ))
        {
          attr = {right:'-120%'};
        } else
        {
          attr = {left:'-120%' };
        }
        box.animate(
          attr,
          {
            queue:false, duration:h_speed, easing:h_easing,
            complete: function()
            {
              if ( $( '.ipptak-box-video', box ).length > 0 ) {
                $( '.ipptak-box-video', box ).remove();
              }
            }
          }
        );
        //Play audio
        ipptak_playAudio( 'hiding', box );

        return false;
      });

    });

    function ipptak_getEasing( effect )
    {
      if ( effect == 'bounce' ) {
          var easing = 'easeOutBounce';
      } else if ( effect == 'back' ) {
          var easing = 'easeOutBack';
      } else if ( effect == 'elastic' ) {
          var easing = 'easeOutElastic';
      } else if ( effect == 'expo' ) {
          var easing = 'easeOutExpo';
      } else {
          var easing = 'linear';
      }
      return easing;
    }

    function ipptak_playAudio( type, root )
    {
      if ( type == 'hiding' ) {
        var audio = $( '.ipptak-audio-hide', root );
        if ( audio.length > 0 ) {
            audio[0].play();
        }
      } else
      {
        var audio = $( '.ipptak-audio-show', root );
        if ( audio.length > 0 ) {
            audio[0].play();
        }
      }
    }

    //
    //Button click
    //
    $( '.ipptak-page .ipptak-widget .ipptak-button' ).click( function()
    {
      //Show loader
      loader.show();

      var href   = $(this).attr( 'href' );
      var pageId = $(this).data( 'page-id' );

      if ( pageId )
      {
        $.ajax({
          url: ipptak_ajaxurl+'?doajax=1&ipptak=1&action=savestat',
          type: "POST",
          data: 'page_id='+pageId+'&type=click',
          dataType: "json",
          success: function ( result ) {
            window.location.href = href;
          }
        });
      }
      return false;
    });
  });
})(jQuery);

},{"./../libs/ui.js":14}],3:[function(require,module,exports){
/*
 *===========================================================
 * Button active
 *===========================================================*/

var buttonActive;
(function($)
{
    "use strict";

    buttonActive = function( button, options )
    {
        var defaults  = {
            func_select: function( button ){}
        };
        var opt = $.extend( defaults, options );

        button.click( function()
        {
            if ( $(this).hasClass( 'active' )) {
                $(this).removeClass( 'active' );
                $( 'input', $(this) ).val( 'off' );
            } else {
                $(this).addClass( 'active' );
                $( 'input', $(this) ).val( 'on' );
            }

            //Select callback
            opt.func_select( $(this) );
            return false;
        });
    };

})(jQuery);

module.exports = buttonActive;

},{}],4:[function(require,module,exports){
/*
 *===========================================================
 * Toggle/Collapse
 *===========================================================*/
var collapse;

(function($)
{
    "use strict";

    collapse = function( root )
    {
        //
        //init
        //
        $( '.intm-options-section' ).each( function()
        {
            if ( $(this).is( ":hidden" ) ) {
                $(this).addClass( '_tempshow' ).show();
            }
        });
        $( '.intm-option-fields' ).each( function()
        {
            if ( $(this).is( ":hidden" ) ) {
                $(this).addClass( '_tempshow' ).show();
            }
        });

        root.each( function()
        {
            var cont   = $(this);
            var height = $( '.collapse-content', cont ).height();
            $( '.collapse-trigger', cont ).click( function()
            {
                if ( cont.hasClass( 'open' ))
                {
                    cont.removeClass( 'open' );
                    cont.addClass( 'close' );
                    $( '.intm-panel-actions i', $(this) ).removeClass( 'intm-fa-chevron-down' );
                    $( '.intm-panel-actions i', $(this) ).addClass( 'intm-fa-chevron-right' );
                    $( '.collapse-content', cont )
                        .height( height )
                        .animate(
                            { height: 0 }, 500
                        );
                }
                else
                {
                    cont.removeClass( 'close' );
                    cont.addClass( 'open' );
                    $( '.intm-panel-actions i', $(this) ).removeClass( 'intm-fa-chevron-right' );
                    $( '.intm-panel-actions i', $(this) ).addClass( 'intm-fa-chevron-down' );
                    $( '.collapse-content', cont )
                        .height( 0 )
                        .show()
                        .animate(
                            { height: height }, 500
                        );

                }
                return false;
            });
        });

        $( '._tempshow' ).hide();
    };

})(jQuery);

module.exports = collapse;

},{}],5:[function(require,module,exports){
/*
 *===========================================================
 * Fade Menu
 *===========================================================*/
var fademenu;

(function($)
{
  "use strict";

  fademenu = function( root )
  {
    $(root).each( function()
    {
      var button = $(this);
      var mouse_in_menu = false;
      $( '.ipptak-fademenu-button', button ).click( function()
      {
        $( '.ipptak-fademenu-content' ).fadeOut( "fast" );
        $( '.ipptak-fademenu-button' ).removeClass( 'active' );

        var link    = $(this);
        var content = $( '.ipptak-fademenu-content', button );

        if ( content.is(":visible") ) {
          content.fadeOut( "fast" );
          link.removeClass( 'active' );
        } else {
          content.fadeIn( "fast" );
          link.addClass( 'active' );
        }
        return false;
      });

      $( '.ipptak-fademenu-content', button ).hover( function(){
        mouse_in_menu = true;
      }, function(){
        mouse_in_menu = false;
      });
      $( "body" ).click(function(){
        if ( ! mouse_in_menu ) {
          $( '.ipptak-fademenu-content', button ).fadeOut( "fast" );
          $( '.ipptak-fademenu-button', button ).removeClass( 'active' );
        }
      });
      $( '.ipptak-fademenu-content a', button ).click(function(){
        return true;
      });
    });
  };
})(jQuery);

module.exports = fademenu;

},{}],6:[function(require,module,exports){
/*
 *===========================================================
 * Fancy Option
 *===========================================================*/
var option;

(function($)
{
    "use strict";

    //Fancy option
    option = function( items, options ){

        var defaults  = {
            func_select: function( option ){},
        };
        var options = $.extend( defaults, options );

        //Setup
        $( '.ipptak-select li:first-child' ).addClass( 'ipptak-item-selected' );

        $(items).each( function(){

            var option  = $(this);
            var in_menu = false;

            $( '.ipptak-selected', option ).click( function(){

                var menu   = $(this);
                var select = $( '.ipptak-select', option );

                if ( select.is(":visible") ) {
                    select.fadeOut( "fast" );
                    menu.removeClass( 'active' );
                } else {

                    $( '.ipptak-select' ).each( function(){
                        $(this).fadeOut( "fast" );
                        $(this).parents( '.ipptak-selected' ).removeClass( 'active' );
                    });
                    select.fadeIn( "fast" );
                    menu.addClass( 'active' );
                }
                return false;
            });
            $( '.ipptak-select', option ).hover( function(){
                    in_menu = true;
                }, function(){
                    in_menu = false;
            });
            $( "body" ).click(function(){
                if ( ! in_menu ) {
                    $( '.ipptak-select', option ).fadeOut( "fast" );
                    $( '.ipptak-selected', option ).removeClass( 'active' );
                }
            });

            $( 'li', option ).click( function(){

                var item  = $(this);
                var label = $( '.ipptak-select-label', item ).clone().html();
                var data  = item.data( 'select' );
                $( '.ipptak-selected .ipptak-selected-box', option ).html( label );
                $( '.ipptak-select li', option ).removeClass( 'ipptak-item-selected' );
                item.parents( 'li' ).addClass( 'ipptak-item-selected' );
                $( '.ipptak-input-select', option ).val( data );

                //Hide Select box
                $( '.ipptak-select', option ).fadeOut( "fast" );
                $( '.ipptak-selected', option ).removeClass( 'active' );

                options.func_select( option );
            });

        });

    };

})(jQuery);

module.exports = option;

},{}],7:[function(require,module,exports){
/*
 *===========================================================
 * Form Handler
 *===========================================================
 */
 var formHandler;
 var uifunc = require( './../libs/ui.js' );

(function($)
{
    "use strict";

    //Prepare ui
    if (typeof ipptak_img_url != 'undefined') {
        uifunc.base.construct.prototype.image_base = ipptak_img_url;
    }
    uifunc.base.confirm.prototype.set_ajax = function( ajax_url )
    {
        this.ajax_url = ajax_url;
    };
    uifunc.init();

    /**
     * Form handler
     */
    function ip_form( id ){
        this.form   = $( id );
        this.action = this.form.attr( 'action' );
    }
    //Set vars
    ip_form.prototype =
    {
        //Variables
        button_id:          '.ipptak-form-submit',
        cont_id:            '.ipptak-form-container',
        error_process:      'Error',
        success_process:    'Success',
        ajax_type:          'POST',
        ajax_dataType:      'json',

        afterSuccess:        function(){},

        //Init
        init: function()
        {
            var $this = this;
            //Prepare
            this.prepare();
            //Form submit
            $( this.button_id, $this.form ).click( function()
            {
                if ( $this.validator() ) {
                    if ( $this.before() ) {
                        uifunc.loader.show();
                        var data   = $this.get_data();
                        var result = $this.process();
                        $this.after( result );
                    }
                }
                $this.error();
                return false;
            });
        },
        //Prepare form
        prepare: function(){},
        //Main process
        process: function()
        {
            var $this = this;
            var data  = $this.get_data();
            $.ajax({
                url: $this.action,
                type: $this.ajax_type,
                dataType: $this.ajax_dataType,
                data: data,
                success: function( result ) {
                    $this.ajax_success( result, $this );
                },
                error: function() {
                    $this.ajax_error( $this );
                }
            });
        },
        //Before process
        before: function()
        {
            return true;
        },
        //After process
        after: function( result ){},
        //Process if error
        error: function(){},
        //Process if ajax success
        ajax_success: function( result, $this )
        {
            $( '.ui-message', $this.form ).remove();
            uifunc.loader.hide();
            if ( result.status == 1 ) {
                if ( typeof result.redirect != 'undefined' ) {
                    window.location.href = result.redirect;
                } else {
                    if ( typeof result.reset != 'undefined' ) {
                        $this.form[0].reset();
                    }
                    uifunc.message.modal( result.message, 'alert-success' );
                    this.afterSuccess( result, $this );
                }
            } else {
                uifunc.message.modal( result.message, 'alert-danger' );
            }
        },
        //Process if ajax error
        ajax_error: function( $this )
        {
            uifunc.loader.hide();
            uifunc.message.modal( $this.error_process, 'alert-danger' );
        },

        //Validating form data
        validator: function()
        {
            return true;
        },
        check_empty: function( id, message )
        {
            var input = $( id );
            if ( input.val() == '' ) {
                uifunc.message.block( message, 'ip-ui-danger', input );
                return true;
            }
            return false;
        },

        //Get data form
        get_data: function()
        {
            var root = this.form;
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';

            var data = '';
            $( selector, root ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );

                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            if (typeof tinyMCE !== 'undefined') {
                for ( var edId in tinyMCE.editors ) {

                    if ( edId.length > 1 ) {
                        var value = tinyMCE.editors[edId].getContent();
                        if ( data != '' ) {
                            data += '&';
                        }
                        data += edId+'='+value;
                    }
                }
            }
            data = this.additional_data( data );
            return data;
        },
        additional_data: function( data )
        {
            return data;
        },

        //Get tiny mce object
        get_tinymce: function( contentId )
        {
            var content = '';
            if (typeof tinyMCE !== 'undefined') {
                content = tinyMCE.get( contentId ).getContent();
            }
            return content;
        },
        //Set tiny mce object with a content
        set_tinymce: function( contentId, content )
        {
            if (typeof tinyMCE !== 'undefined') {
                tinyMCE.get( contentId ).setContent( content );
            }
        }
    };
    formHandler = ip_form;

})(jQuery);

module.exports = formHandler;

},{"./../libs/ui.js":14}],8:[function(require,module,exports){
/*
 *===========================================================
 *  Input image option
 *===========================================================*/
var option;

(function($)
{
    "use strict";

    option = function( root, options )
    {
        var defaults  = {
            after: function( item ){},
        };
        var options = $.extend( defaults, options );

        root.each( function()
        {
            var input = $(this);

            $( '._item', input ).click( function()
            {
                $( '._item', input ).removeClass( '_selected' );
                var value = $(this).data( 'value' );
                $(this).addClass( '_selected' );
                $( '._value-selected', input ).val( value );
                //
                //Callback
                options.after( value, input );
                return false;
            })
        });
    };

})(jQuery);

module.exports = option;

},{}],9:[function(require,module,exports){
/*
 *===========================================================
 * Manage script
 *===========================================================*/
var uifunc = require( './../libs/ui.js' );
var manage;

(function($)
{
    "use strict";

    var delete_confirm_title = '';
    var delete_confirm_info  = '';

    if (typeof ui_message != 'undefined') {
        if (typeof ui_message.delete_confirm_title != 'undefined') {
            delete_confirm_title = ui_message.delete_confirm_title;
        }
        if (typeof ui_message.delete_confirm_info != 'undefined') {
            delete_confirm_info = ui_message.delete_confirm_info;
        }
    }

    //Prepare ui
    if (typeof ui_base_image != 'undefined') {
        uifunc.base.construct.prototype.image_base = ui_base_image;
    }
    uifunc.base.confirm.prototype.set_ajax = function( ajax_url )
    {
        this.ajax_url = ajax_url;
    };

    uifunc.init();
    uifunc.delete_confirm = new uifunc.base.confirm();

    uifunc.delete_confirm.set_vars({
        title: delete_confirm_title,
        info: delete_confirm_info,
        yes_class:  'ipptak-btn ipptak-btn-md ipptak-btn-danger',
        no_class:   'ipptak-btn ipptak-btn-md ipptak-btn-default',
        action:     function( object, ui )
        {
            var id = object.data( 'id' );
            uifunc.loader.show();
            ui.hide( object );

            $.ajax({
                url: ui.ajax_url + '&id='+id,
                type: "POST",
                dataType: "json",
                success: function (result)
                {
                    if ( object.hasClass( 'ipptak-delete-edit' ) )
                    {
                        window.location.href = result.redirect;
                    } else
                    {
                        if ( result.status == '-1' ) {
                            uifunc.message.modal( result.message, 'alert-danger' );
                        } else {
                            uifunc.message.modal( result.message, 'alert-success' );
                            ui.vars.remove_element( object, ui );
                        }
                        uifunc.loader.hide();
                    }
                },
                error: function () {
                    alert( "Error in deleting item." );
                },
            });
        },
        remove_element: function( object, ui )
        {
            var tr = object.parents( 'tr' );
            tr.hide( 'blind' );
            setTimeout( function(){
                tr.remove();
            }, 600);
        }
    });

    manage = {
        delete: function( items, url )
        {
            $(items).each( function()
            {
                var button = $(this);
                button.click( function()
                {
                    uifunc.delete_confirm.set_ajax( url );
                    uifunc.delete_confirm.set_vars({
                        remove_element: function( object, ui ){
                            var cont   = object.parents( '.ipptak-manage-list' );
                            var item   = object.parents( '.ipptak-list-item' );
                            var length = $( '.ipptak-list-item', cont ).length;

                            item.hide( 'blind' );
                            if ( length == 1 ) {
                                $( '.ipptak-list-empty', cont ).show();
                            }
                            setTimeout( function(){
                                item.remove();
                            }, 600);
                        }
                    });
                    uifunc.delete_confirm.show( button );
                    return false;
                });
            });
        }
    }
})(jQuery);

module.exports = manage;

},{"./../libs/ui.js":14}],10:[function(require,module,exports){
/*
 *===========================================================
 * On Off Button
 *===========================================================*/
var onoff;

(function($)
{
    "use strict";

    /**
     * On Off button
     */
    onoff = function( root, options )
    {
        var defaults  = {
            func_select: function( button ){},
        };
        var options = $.extend( defaults, options );

        $(root).each( function(){

            var cont = $(this);
            $( '.ipptak-btn-onoff', cont ).click( function()
            {
                var value = $(this).data( 'value' );
                if ( ! $(this).hasClass( 'active' ) ) {
                    $( 'button', cont ).removeClass( 'active' );
                    $( 'button', cont ).removeClass( 'ipptak-btn-on' );
                    $( 'button', cont ).removeClass( 'ipptak-btn-off' );
                    if ( value == true ) {
                        $(this).addClass( 'ipptak-btn-on' );
                    } else {
                        $(this).addClass( 'ipptak-btn-off' );
                    }
                    $(this).addClass( 'active' );
                }
                $( '.ipptak-onoff-value', cont ).val(value);

                var field = $(this).parents( '.ipptak-field-row' );
                if ( field.hasClass( 'ipptak-toggle' )) {

                    if ( value == 'false' || value == false ) {
                        $( '.ipptak-toggle-option', field ).hide();
                    } else {
                        $( '.ipptak-toggle-option', field ).show();
                    }
                }
                options.func_select( $(this), cont );
                return false;
            });
        });
    };

})(jQuery);

module.exports = onoff;

},{}],11:[function(require,module,exports){
/*
 *===========================================================
 * Select preview
 *===========================================================*/

var selectPreview;

(function($)
{
    "use strict";

    selectPreview = function( input, options )
    {
        var defaults  = {
            cont_selector:          '.ipptak-field-row',
            cont_preview_selector:  '.ipptak-select-preview',
            item_preview_class:     'ipptak-preview',
            root_image:             '',
            preview_data:           [],
            func_select:            function( input ){}
        };
        var opt  = $.extend( defaults, options );
        var cont = input.parents( opt.cont_selector );

        input.change( function()
        {
            var select  = $(this).val();
            var preview = $( opt.cont_preview_selector, cont );
            var opts    = opt.preview_data;
            preview.html( '' );
            for (var i = 0; i < opts.length; i++)
            {
                var key = opts[i];
                var src = opt.root_image+select+'/'+key+'.png';
                preview.append(
                    '<span class="'+opt.item_preview_class+'"><img src="'+src+'" alt="'+key+'"></span>'
                );
            }
            opt.func_select( $(this) );
        });
    };

})(jQuery);

module.exports = selectPreview;

},{}],12:[function(require,module,exports){
/*
 *===========================================================
 * Tab menu
 *===========================================================*/
var stat;

(function($)
{
    "use strict";

    stat = function( object, options )
    {
        var defaults  = {
            ajax_url: '',
            chart_id:  'ipptak-chart-div'
        };
        var ipptak_opt = $.extend( defaults, options );

        var root = $(object);

        //Date picker
        $( '#date-start',root )
            .datepicker()
            .bind('changeDate', function(ev){
                $( '#date-start',root ).datepicker('hide');
            });

        $( '#date-end', root )
            .datepicker()
            .bind('changeDate', function(ev){
                $( '#date-end',root ).datepicker('hide');
            });

        //Do filter date
        $( '#do-filter-date', root ).click( function()
        {
            var dateStart = $( '#date-start' ).val();
            var dateEnd   = $( '#date-end' ).val();
            var pageId    = $( '#value-pageid' ).val();
            var type      = $( '#value-stat-type' ).val();

            //Show loader
            $( '.ipptak-chart-main', root ).html('').hide();
            $( '.ipptak-chart-load', root ).show();

            $.ajax({
                url: ipptak_opt.ajax_url,
                type: "POST",
                data: 'start='+dateStart+'&end='+dateEnd+'&pageid='+pageId+'&type='+type,
                dataType: "json",
                success: function (result ) {

                    $( '.ipptak-chart-main' ).show();
                    $( '.ipptak-chart-load' ).hide();
                    if ( result.status == 1 && result.data.length > 0 )
                    {
                        var dataTable = new google.visualization.DataTable();
                        dataTable.addColumn( 'date', result.labelDate );
                        dataTable.addColumn( 'number', result.labelValue );

                        var rows = [];
                        for (var i=0; i<result.data.length; i++)
                        {
                            var cur   = result.data[i];
                            var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.value ];
                            rows.push( data );
                        }
                        dataTable.addRows( rows );
                        var options = {
                            series: [{pointSize:6}]
                        };
                        var chart = new google.visualization.LineChart(document.getElementById(ipptak_opt.chart_id));
                        chart.draw(dataTable, options);
                    }
                },
                error: function () {
                    alert( "Error in get statistic data" );
                },
            });

            return false;
        });

        //Stat Nav
        $( '.ipptak-stat-nav a' ).click( function()
        {
            var link   = $(this);
            var root   = link.parents( 'li' );
            var type   = link.attr( 'href' ).replace( '#stat-', '' );
            var pageId = $( '#value-pageid' ).val();

            if ( root.hasClass( 'active' )) {
                return true;
            }
            $( '.ipptak-stat-nav li' ).removeClass( 'active' );
            root.addClass( 'active' );
            $( '#value-stat-type' ).val( type );

            //Show loader
            $( '.ipptak-chart-main' ).html('').hide();
            $( '.ipptak-chart-load' ).show();

            //Load cart
            $.ajax({
                url: ipptak_opt.ajax_url,
                type: "POST",
                data: 'pageid='+pageId+'&type='+type,
                dataType: "json",
                success: function (result ) {

                    $( '.ipptak-chart-main' ).show();
                    $( '.ipptak-chart-load' ).hide();
                    if ( result.status == 1 && result.data.length > 0 )
                    {
                        var dataTable = new google.visualization.DataTable();
                        dataTable.addColumn( 'date', result.labelDate );
                        dataTable.addColumn( 'number', result.labelValue );

                        var rows = [];
                        for (var i=0; i<result.data.length; i++)
                        {
                            var cur   = result.data[i];
                            var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.value ];
                            rows.push( data );
                        }
                        dataTable.addRows( rows );
                        var options = {
                            series: [{pointSize:6}]
                        };
                        var chart = new google.visualization.LineChart(document.getElementById(ipptak_opt.chart_id));
                        chart.draw(dataTable, options);
                    }
                },
                error: function () {
                alert( "Error in get statistic data" );
                },
            });

            return false;
        });
    };

})(jQuery);

module.exports = stat;

},{}],13:[function(require,module,exports){
/*
 *===========================================================
 * Tab menu
 *===========================================================*/
var tab;

(function($)
{
    "use strict";

    tab = function( object, options )
    {
        var defaults  = {
            after_click:     function(){},
            tab_init:        function(){}
        };
        var opt  = $.extend( defaults, options );

        $(object).each( function()
        {
            var root = $(this);

            tab_init();

            $( '.ipptak-tab-menu a', root ).click( function()
            {
                clear_tab();
                $( this ).addClass( 'active' );

                var idtab = $(this).attr( 'href' ).replace( '#', '' );
                $( '#'+idtab ).show();
                $( '#ipptak-tab-selected' ).val( idtab );

                opt.after_click( idtab, root );

                return false;
            });

            function clear_tab()
            {
                $( '.ipptak-tab-menu a', root ).each( function(){
                    $(this).removeClass( 'active' );
                });
                $( '.ipptak-tab-content', root ).hide();
            };

            function tab_init()
            {
                clear_tab();
                $( '#ipptak-tab-selected', root ).hide();
                var current = $( '#ipptak-tab-selected' ).val();
                $( '#'+current ).show();
                $( 'a[href="#'+current+'"]' ).addClass( 'active' );
                $( '#ipptak-tab-selected' ).val( current );

                opt.tab_init( current, root );
            };
        });
    };

})(jQuery);

module.exports = tab;

},{}],14:[function(require,module,exports){
/*
 *===========================================================
 * UI
 *===========================================================
 */
var ui;

(function($)
{
    "use strict";

    //Inherit function
    function inherit( proto )
    {
        function F() {}
        F.prototype = proto
        return new F
    }

    /*
     *===========================================================
     * Ui prototype
     *===========================================================*/
    function ui_construct( options ){};

    ui_construct.prototype =
    {

        vars:               {},
        class_prefix:       'ipptak-',
        class_main:         '-main',
        class_title:        '-title',
        class_content:      '-content',
        class_disabled:     'disabled',
        class_close:        'ui-close',
        label_close:        'x',
        image_base:         '',

        top_margin:         '80px',
        overlay_speed:      600,
        main_speed:         400,
        show_speed:         4000,

        show_after:         function(){},
        hide_after:         function(){},

        popup_body: function( class_root, content, title, close )
        {
            var body = $( '<div class="'+class_root+'"></div>' );
            var main = $( '<div class="'+class_root + this.class_main+'"></div>' );
            if ( title )
            {
                var _title = $( '<div class="'+class_root + this.class_title+'"></div>' )
                                .append( '<h3>'+title+'</h3>' );
                if ( close )
                {
                    var _close = $( '<a href="#">'+this.label_close+'</a>' );
                    this.popup_close( _close, class_root );

                    _title.append(
                        $( '<div class="'+this.class_prefix+this.class_close+'"></div>' ).append( _close )
                    );
                }
                main.append( _title );
            }
            if ( content ) {
                main.append(
                    $( '<div class="'+class_root + this.class_content+'"></div>' ).append( content )
                );
            }
            body.append( main );
            return body;
        },
        popup_show: function( popup )
        {
            var c_root = popup.attr( 'class' );
            var main   = $( '.'+c_root+this.class_main, popup );
            popup.show();
            main.css( 'margin-top', '-40%' )
                .animate({marginTop: this.top_margin}, this.main_speed, this.show_after);
        },
        popup_hide: function( popup )
        {
            var c_root = popup.attr( 'class' );
            var main   = $( '.'+c_root+this.class_main, popup );

            popup.animate( {opacity: 0}, this.overlay_speed, function(){
                $(this).css( 'opacity', 1 )
                       .hide();
            });
            main.animate( {marginTop: '-60%'}, this.main_speed, this.hide_after);
        },
        popup_close: function( button, class_popup )
        {
            var ui = this;
            button.click( function(){
                var popup = $( '.'+class_popup );
                ui.popup_hide( popup );
                return false;
            });
        },
        is_load: function( selector )
        {
            if ( $( selector ).length > 0 ) {
                return true;
            }
            return false;
        },
        set_vars: function( options )
        {
            this.vars = $.extend(this.vars, options);
        },
        set_base_vars: function( options )
        {
            this.vars = $.extend(this, options);
        },
        go_to: function( selector )
        {
            var pos = $( selector ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        }
    };

    /*
     * Modal Class
     **/
    function modal(){};
    modal.prototype = inherit( ui_construct.prototype );
    //Modal message
    modal.prototype.ajax = function( id, url )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_modal;
        var modal   = this.popup_body( c_root, '', false, false ).appendTo( $( 'body' ) );
        modal.addClass( class_type )
             .attr( 'id', id );

        this.popup_show( modal );
    };

    /*
     * Loader Class
     **/
    function loader(){};
    loader.prototype = inherit( ui_construct.prototype );
    //Properties
    loader.prototype.class_root     = 'ui-loader';
    loader.prototype.loader_file    = 'loading.gif';
    //Show loader
    loader.prototype.show = function()
    {
        var loader = this.create();
        this.popup_show( loader );
    };
    //Hide loader
    loader.prototype.hide = function()
    {
        var loader = this.create();
        this.popup_hide( loader );
    };
    //Create loader
    loader.prototype.create = function()
    {
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            return $( '.'+c_root );
        } else
        {
            var image  = '<img src="'+this.image_base+this.loader_file+'" alt="Loading...">';
            var loader = this.popup_body( c_root, image, false, false ).appendTo( $( 'body' ) );
            loader.hide();

            return loader;
        }
    };


    /*
     * Inline loader Class
     **/
    function iloader(){};
    iloader.prototype = inherit( ui_construct.prototype );
    //Properties
    iloader.prototype.class_root   = 'ui-inline-loader';
    iloader.prototype.loader_file  = 'spin.gif';
    //Loader show
    iloader.prototype.show = function( button )
    {
        button.attr( 'disabled', 'disabled' );
        this.create( button ).show();
    };
    //Loader hide
    iloader.prototype.hide = function( button )
    {
        button.removeAttr( 'disabled' );
        this.create( button ).hide();
    };
    //Creating loader
    iloader.prototype.create = function( button )
    {
        var root   = button.parent();
        var lclass = this.class_prefix + this.class_root;
        if ( $( '.'+lclass, root ).length > 0 ) {
            var loader = $( '.'+lclass, root );
        } else {
            var image  = '<img src="'+this.image_base+this.loader_file+'" alt="Loading...">';
            var loader = $( '<span class="'+lclass+'"></span>' )
                            .append( image )
                            .css( 'margin-left', '8px' );
        }
        button.after( loader );
        return loader;
    };


    /*
     * Confirm popup
     **/
    function confirm( options )
    {
        var defaults = {
            title:      'Confirmation',
            info:       '',
            yes_label:  'Yes',
            no_label:   'Cancel',
            yes_class:  'btn btn-danger',
            no_class:   'btn btn-success',
            action:     function( object ){}
        };
        this.vars = $.extend(defaults, options);
    };
    confirm.prototype = inherit( ui_construct.prototype );
    //Properties
    confirm.prototype.class_root = 'ui-confirm';
    //Confirm show
    confirm.prototype.show = function( object )
    {
        var confirm = this.create( object );
        this.popup_show( confirm );
    };
    //Confirm hide
    confirm.prototype.hide = function( object )
    {
        var confirm = this.create( object );
        this.popup_hide( confirm );
    };
    //Creating confirm
    confirm.prototype.create = function( object )
    {
        var ui     = this;
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            $( '.'+c_root ).remove();
        }
        //Create confirm
        var yesbtn = $( '<a href="#" class="ip-confirm-yes '+this.vars.yes_class+'">'+this.vars.yes_label+'</a>' );
        var nobtn  = $( '<a href="#" class="ip-confirm-no '+this.vars.no_class+'">'+this.vars.no_label+'</a>' );

        yesbtn.click( function(){
            ui.vars.action( object, ui );
            return false;
        });
        this.popup_close( nobtn, c_root );

        var content = $( '<div class="'+c_root+'-inner"></div>' )
            .append( '<p>'+this.vars.info+'</p>' )
            .append(
                $( '<div class="'+c_root+'-actions"></div>' )
                    .append( yesbtn )
                    .append( nobtn )
            );

        var confirm = this.popup_body( c_root, content, this.vars.title, false ).appendTo( $( 'body' ) );
        confirm.hide();

        return confirm;
    };


    /*
     * Alert popup
     **/
    function alert( options )
    {
        var defaults = {
            message:        '',
            label_button:   'Ok',
            class_root:     '',
            class_button:   'ipptak-btn ipptak-btn-sm ipptak-btn-danger',
            after:          function(){}
        };
        this.vars = $.extend(defaults, options);
    };
    alert.prototype = inherit( ui_construct.prototype );
    //Properties
    alert.prototype.class_root = 'ui-alert';
    //Alert show
    alert.prototype.show = function( message )
    {
        this.vars.message = message;
        var alert = this.create();
        this.popup_show( alert );
    };
    //Alert hide
    alert.prototype.hide = function()
    {
        var alert = this.create();
        this.hide_after = this.vars.after;
        this.popup_hide( alert );
    };
    //Creating alert
    alert.prototype.create = function()
    {
        var ui     = this;
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            return $( '.'+c_root );
        } else
        {
            var button = $( '<a href="#" class="'+this.vars.class_button+'">'+this.vars.label_button+'</a>' );
            this.popup_close( button, c_root );

            var c_info  = c_root + '-inner';
            if ( this.vars.class_root != '' ) {
                c_info += ' ' + this.vars.class_root;
            }
            var content = $( '<div class="'+c_info+'"></div>' )
                .append( '<p>'+this.vars.message+'</p>' )
                .append(
                    $( '<div class="'+c_root+'-actions"></div>' )
                        .append( button )
                );

            var popup  = this.popup_body( c_root, content, false, false ).appendTo( $( 'body' ) );
            popup.hide();

            return popup;
        }
    };


    /*
     * Message
     **/
    function message(){};
    message.prototype = inherit( ui_construct.prototype );
    //Properties
    message.prototype.class_modal = 'ui-modal-message';
    message.prototype.class_block = 'ui-message';
    //Modal message
    message.prototype.modal = function( message, class_type )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_modal;
        var content = '<p>'+message+'</p>';
        var msg     = this.popup_body( c_root, content, false, false ).appendTo( $( 'body' ) );
        msg.addClass( class_type )
           .show()
           .animate({top: "0"}, ui.overlay_speed, function(){
                var object = $( this );
                setTimeout( function(){
                    object.animate({top: '-100px'}, ui.overlay_speed, function(){
                        object.remove();
                    });
                }, ui.show_speed);
            });
    };
    //Bloack message
    message.prototype.block = function( message, class_type, block, close )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_block;
        var parent  = block.parent();

        $( '.'+c_root, parent ).remove();

        var msg = $( '<div></div>' );
        msg.addClass( c_root )
           .addClass( class_type )
           .append( '<p>'+message+'</p>' );

        if ( close )
        {
            var _close = $( '<a href="#">'+this.close_label+'</a>' );
            _close.click( function()
            {
                var _msg = $(this).parents( '.'+c_root );
                _msg.animate({opacity: "0"}, ui.overlay_speed, function(){
                    _msg.remove();
                });
                return false;
            });
            msg.append(
                $( '<div class="'+this.class_prefix+this.class_close+'"></div>' ).append( _close )
            );
        }
        msg.css( 'opacity', '0' );
        parent.prepend( msg );
        msg.animate({opacity: "1"}, ui.overlay_speed);
    };

    ui =
    {
        base: {
            construct:  ui_construct,
            loader:     loader,
            iloader:    iloader,
            confirm:    confirm,
            message:    message,
            alert:      alert,
            modal:      modal

        },
        init: function()
        {
            this.loader  = new this.base.loader(),
            this.iloader = new this.base.iloader(),
            this.confirm = new this.base.confirm(),
            this.message = new this.base.message(),
            this.alert   = new this.base.alert(),
            this.modal   = new this.base.modal()
        }
    };

})(jQuery);

module.exports = ui;

},{}],15:[function(require,module,exports){
/*
 *===========================================================
 * Image uploader handle
 *===========================================================*/
var uploader;

(function($)
{
    "use strict";

    uploader = function( element, options )
    {
        var defaults  = {
            func_select: function( input ){},
        };
        var options = $.extend( defaults, options );

        $(element).each( function()
        {
            var root = $(this);
            var frame;
            $( '.ipptak-btn-media', root ).click( function(e)
            {
                var $el = $(this);
                e.preventDefault();

                // If the media frame already exists, reopen it.
                if ( frame ) {
                    frame.open();
                    return;
                }
                // Create the media frame.
                frame = wp.media.frames.customHeader = wp.media({
                    // Set the title of the modal.
                    title: $el.data('choose'),

                    // Tell the modal to show only images.
                    library: {
                        type: 'image'
                    },

                    // Customize the submit button.
                    button: {
                        // Set the text of the button.
                        text: $el.data('update'),
                        // Tell the button not to close the modal, since we're
                        // going to refresh the page when the image is selected.
                        close: false
                    }
                });

                // When an image is selected, run a callback.
                frame.on( 'select', function() {
                    // Grab the selected attachment.
                    var attachment = frame.state().get('selection').first();
                    var id         = attachment.id;

                    var url = '';
                    if (typeof attachment.attributes.sizes.thumbnail != 'undefined') {
                        url = attachment.attributes.sizes.thumbnail.url;
                    }
                    else if (typeof attachment.attributes.sizes.medium != 'undefined') {
                        url = attachment.attributes.sizes.medium.url;
                    }
                    else if (typeof attachment.attributes.sizes.full != 'undefined') {
                        url = attachment.attributes.sizes.full.url;
                    }

                    $( '.ipptak-upload-preview .none', root ).hide();
                    $( '.ipptak-upload-preview .image', root )
                        .html( '<img src="'+url+'" alt="" />' )
                        .show();
                    $( '.ipptak-image-id', root ).val( id );
                    $( '.ipptak-btn-reset', root ).show();

                    //Select callback
                    options.func_select( element );

                    frame.close();
                });
                frame.open();

                return false;
            });
            $( '.ipptak-btn-reset', root ).click( function(e)
            {
                $( '.ipptak-upload-preview .none', root ).show();
                $( '.ipptak-upload-preview .image', root ).html( '' ).hide();
                $( '.ipptak-image-id', root ).val( 0 );
                $( '.ipptak-btn-reset', root ).hide();
                return false;
            });
        });
    };

})(jQuery);

module.exports = uploader;

},{}]},{},[1,2]);
