<?php
if ( ! class_exists( 'IPPtak_Options' ))
{
  /**
   * Class that take plugin options
   *
   * @package wp-page-takeover
   * @author InstaProduct
   * @link http://insta-product.com/
   */

  class IPPtak_Options
  {
    /**
     * Take button options
     *
     * @var array
     */
    public static $BUTTONS = array
    (
      'button_1_yellow'   => 'Button #1 Yellow',
      'button_1_blue'     => 'Button #1 Blue',
      'button_1_green'    => 'Button #1 Green',
      'button_1_orange'   => 'Button #1 Orange',

      'button_2_yellow'   => 'Button #2 Yellow',
      'button_2_blue'     => 'Button #2 Blue',
      'button_2_green'    => 'Button #2 Green',
      'button_2_orange'   => 'Button #2 Orange',

      'button_3_yellow'   => 'Button #3 Yellow',
      'button_3_blue'     => 'Button #3 Blue',
      'button_3_green'    => 'Button #3 Green',
      'button_3_orange'   => 'Button #3 Orange',

      'button_4_yellow'   => 'Button #4 Yellow',
      'button_4_blue'     => 'Button #4 Blue',
      'button_4_green'    => 'Button #4 Green',
      'button_4_orange'   => 'Button #4 Orange',

      'button_5_yellow'   => 'Button #5 Yellow',
      'button_5_blue'     => 'Button #5 Blue',
      'button_5_green'    => 'Button #5 Green',
      'button_5_orange'   => 'Button #5 Orange',
      'button_5_red'      => 'Button #5 Red',

      'button_6_yellow'   => 'Button #6 Yellow',
      'button_6_blue'     => 'Button #6 Blue',
      'button_6_green'    => 'Button #6 Green',
      'button_6_orange'   => 'Button #6 Orange',
      'button_6_red'      => 'Button #6 Red',

      'button_7_yellow'   => 'Button #7 Yellow',
      'button_7_blue'     => 'Button #7 Blue',
      'button_7_green'    => 'Button #7 Green',
      'button_7_orange'   => 'Button #7 Orange',
      'button_7_red'      => 'Button #7 Red',

      'button_8_yellow'   => 'Button #8 Yellow',
      'button_8_blue'     => 'Button #8 Blue',
      'button_8_green'    => 'Button #8 Green',
      'button_8_orange'   => 'Button #8 Orange',
      'button_8_red'      => 'Button #8 Red',

      'button_9_yellow'   => 'Button #9 Yellow',
      'button_9_blue'     => 'Button #9 Blue',
      'button_9_green'    => 'Button #9 Green',
      'button_9_orange'   => 'Button #9 Orange',
      'button_9_red'      => 'Button #9 Red',

      'button_10_yellow'   => 'Button #10 Yellow',
      'button_10_blue'     => 'Button #10 Blue',
      'button_10_green'    => 'Button #10 Green',
      'button_10_orange'   => 'Button #10 Orange',
      'button_10_red'      => 'Button #10 Red',

      'button_11_yellow'   => 'Button #11 Yellow',
      'button_11_blue'     => 'Button #11 Blue',
      'button_11_green'    => 'Button #11 Green',
      'button_11_orange'   => 'Button #11 Orange',

      'button_12_yellow'   => 'Button #12 Yellow',
      'button_12_blue'     => 'Button #12 Blue',
      'button_12_green'    => 'Button #12 Green',
      'button_12_orange'   => 'Button #12 Orange',

      'button_13_yellow'   => 'Button #13 Yellow',
      'button_13_blue'     => 'Button #13 Blue',
      'button_13_green'    => 'Button #13 Green',
      'button_13_orange'   => 'Button #13 Orange',
      'button_13_red'      => 'Button #13 Red',

      'button_14_yellow'   => 'Button #14 Yellow',
      'button_14_blue'     => 'Button #14 Blue',
      'button_14_green'    => 'Button #14 Green',
      'button_14_orange'   => 'Button #14 Orange',
      'button_14_red'      => 'Button #14 Red',

      'button_15_yellow'   => 'Button #15 Yellow',
      'button_15_blue'     => 'Button #15 Blue',
      'button_15_green'    => 'Button #15 Green',
      'button_15_orange'   => 'Button #15 Orange',

      'button_16_yellow'   => 'Button #16 Yellow',
      'button_16_blue'     => 'Button #16 Blue',
      'button_16_green'    => 'Button #16 Green',
      'button_16_orange'   => 'Button #16 Orange',

      'button_17_yellow'   => 'Button #17 Yellow',
      'button_17_blue'     => 'Button #17 Blue',
      'button_17_green'    => 'Button #17 Green',
      'button_17_orange'   => 'Button #17 Orange',
      'button_17_red'      => 'Button #17 Red',

      'button_18_yellow'   => 'Button #18 Yellow',
      'button_18_blue'     => 'Button #18 Blue',
      'button_18_green'    => 'Button #18 Green',
      'button_18_orange'   => 'Button #18 Orange',
      'button_18_red'      => 'Button #18 Red',
    );

    /**
     * Take message options
     *
     * @var array
     */
    public static $MESSAGES = array
    (
      'message_1'   => 'message #1',
      'message_2'   => 'message #2',
      'message_3'   => 'message #3',
      'message_4'   => 'message #4',
      'message_5'   => 'message #5',
      'message_6'   => 'message #6',
      'message_7'   => 'message #7',
      'message_8'   => 'message #8',
      'message_9'   => 'message #9',
      'message_10'  => 'message #10',
      'message_11'  => 'message #11',
      'message_12'  => 'message #12',
      'message_13'  => 'message #13',
    );

    /**
     * Take call to action options
     *
     * @var array
     */
    public static $ACTIONS = array
    (
      'clean-buy-limit'       => 'clean-buy-limit',
      'clean-buy-limit-ins'   => 'clean-buy-limit-ins',
      'clean-buy-until'       => 'clean-buy-until',
      'clean-buy-until-ins'   => 'clean-buy-until-ins',
      'clean-get-limit'       => 'clean-get-limit',
      'clean-get-limit-ins'   => 'clean-get-limit-ins',
      'clean-get-until'       => 'clean-get-until',
      'clean-get-until-ins'   => 'clean-get-until-ins',

      'dark-buy-limit'       => 'dark-buy-limit',
      'dark-buy-limit-ins'   => 'dark-buy-limit-ins',
      'dark-buy-until'       => 'dark-buy-until',
      'dark-buy-until-ins'   => 'dark-buy-until-ins',
      'dark-get-limit'       => 'dark-get-limit',
      'dark-get-limit-ins'   => 'dark-get-limit-ins',
      'dark-get-until'       => 'dark-get-until',
      'dark-get-until-ins'   => 'dark-get-until-ins',

      'danger-buy-limit'       => 'danger-buy-limit',
      'danger-buy-limit-ins'   => 'danger-buy-limit-ins',
      'danger-buy-until'       => 'danger-buy-until',
      'danger-buy-until-ins'   => 'danger-buy-until-ins',
      'danger-get-limit'       => 'danger-get-limit',
      'danger-get-limit-ins'   => 'danger-get-limit-ins',
      'danger-get-until'       => 'danger-get-until',
      'danger-get-until-ins'   => 'danger-get-until-ins',

      'info-buy-limit'       => 'info-buy-limit',
      'info-buy-limit-ins'   => 'info-buy-limit-ins',
      'info-buy-until'       => 'info-buy-until',
      'info-buy-until-ins'   => 'info-buy-until-ins',
      'info-get-limit'       => 'info-get-limit',
      'info-get-limit-ins'   => 'info-get-limit-ins',
      'info-get-until'       => 'info-get-until',
      'info-get-until-ins'   => 'info-get-until-ins',

      'success-buy-limit'       => 'success-buy-limit',
      'success-buy-limit-ins'   => 'success-buy-limit-ins',
      'success-buy-until'       => 'success-buy-until',
      'success-buy-until-ins'   => 'success-buy-until-ins',
      'success-get-limit'       => 'success-get-limit',
      'success-get-limit-ins'   => 'success-get-limit-ins',
      'success-get-until'       => 'success-get-until',
      'success-get-until-ins'   => 'success-get-until-ins',

      'warning-buy-limit'       => 'warning-buy-limit',
      'warning-buy-limit-ins'   => 'warning-buy-limit-ins',
      'warning-buy-until'       => 'warning-buy-until',
      'warning-buy-until-ins'   => 'warning-buy-until-ins',
      'warning-get-limit'       => 'warning-get-limit',
      'warning-get-limit-ins'   => 'warning-get-limit-ins',
      'warning-get-until'       => 'warning-get-until',
      'warning-get-until-ins'   => 'warning-get-until-ins',
    );

    /**
     * Take order step options
     *
     * @var array
     */
    public static $STEPS = array
    (
      'step-1-2-blue'    => 'step-1-2-blue',
      'step-1-2-green'   => 'step-1-2-green',
      'step-1-2-orange'  => 'step-1-2-orange',
      'step-1-2-red'     => 'step-1-2-red',
      'step-1-2-yellow'  => 'step-1-2-yellow',
      'step-1-2-blue'    => 'step-1-2-blue',

      'step-1-3-green'   => 'step-1-3-green',
      'step-1-3-orange'  => 'step-1-3-orange',
      'step-1-3-red'     => 'step-1-3-red',
      'step-1-3-yellow'  => 'step-1-3-yellow',

      'step-2-2-green'   => 'step-2-2-green',
      'step-2-2-orange'  => 'step-2-2-orange',
      'step-2-2-red'     => 'step-2-2-red',
      'step-2-2-yellow'  => 'step-2-2-yellow',

      'step-2-3-green'   => 'step-2-3-green',
      'step-2-3-orange'  => 'step-2-3-orange',
      'step-2-3-red'     => 'step-2-3-red',
      'step-2-3-yellow'  => 'step-2-3-yellow',

      'step-3-2-green'   => 'step-3-2-green',
      'step-3-2-orange'  => 'step-3-2-orange',
      'step-3-2-red'     => 'step-3-2-red',
      'step-3-2-yellow'  => 'step-3-2-yellow',

      'step-3-3-green'   => 'step-3-3-green',
      'step-3-3-orange'  => 'step-3-3-orange',
      'step-3-3-red'     => 'step-3-3-red',
      'step-3-3-yellow'  => 'step-3-3-yellow',

      'step-4-2-green'   => 'step-4-2-green',
      'step-4-2-orange'  => 'step-4-2-orange',
      'step-4-2-red'     => 'step-4-2-red',
      'step-4-2-yellow'  => 'step-4-2-yellow',

      'step-4-3-green'   => 'step-4-3-green',
      'step-4-3-orange'  => 'step-4-3-orange',
      'step-4-3-red'     => 'step-4-3-red',
      'step-4-3-yellow'  => 'step-4-3-yellow',
    );
  }
}
