<?php
/**
 * Admin dashboard view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-dashboard" class="wrap ipptak-wrap ipptak-admin">
    <div class="ipptak-inner">

        <?php
        $this->view( 'admin/general/header' );
        ?>

        <div class="ipptak-main">
            <div class="ipptak-main-info">
                <?php
                if ( isset( $_GET['create'] )) :
                ?>
                <div class="ipptak-alert ipptak-alert-success" style="display: block;">
                    <?php _e( 'Successfully add a bar.', IPPTAK_SLUG ); ?>
                </div>
                <?php
                elseif ( isset( $_GET['delete'] )) :
                ?>
                <div class="ipptak-alert ipptak-alert-success" style="display: block;">
                    <?php _e( 'Successfully deleting a bar.', IPPTAK_SLUG ); ?>
                </div>
                <?php
                endif;
                ?>
            </div>

            <div class="ipptak-primary">
              <div class="_add-button mb30">
                <?php
                $link = admin_url() . 'admin.php?page=' . IPPTAK_PAGENAME . '&action=create';
                ?>
                <a href="<?php echo $link; ?>" class="ipptak-btn ipptak-btn-success ipptak-btn-sm _add-page">
                  <i class="ipptak-fa ipptak-fa-plus-circle"></i>
                  <?php _e( 'Add New Bar', IPPTAK_SLUG ); ?>
                </a>
              </div>

              <?php
              require_once( IPPTAK_LIB . 'tableMain.php' );
              $list = new IPPtak_Table_Main();
              $list->render();
              ?>
            </div>
        </div>

    </div>

</div>
