<?php
/**
 * Page navigation view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipptak-sidebar">
  <div class="ipptak-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipptak-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipptak-page-menu ipptak-tab-menu">
      <li>
        <a href="#ipptak-section-general" class="active">
          <i class="ipptak-fa ipptak-fa-cogs"></i>
          <strong><?php _e( 'General', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->pageData ):
      ?>
      <li>
        <a href="#ipptak-section-header">
          <i class="ipptak-fa ipptak-fa-header"></i>
          <strong><?php _e( 'Header', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipptak-section-footer">
          <i class="ipptak-fa ipptak-fa-long-arrow-down"></i>
          <strong><?php _e( 'Footer', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipptak-section-content">
          <i class="ipptak-fa ipptak-fa-file-text-o"></i>
          <strong><?php _e( 'Content', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipptak-section-style">
          <i class="ipptak-fa ipptak-fa-paint-brush"></i>
          <strong><?php _e( 'Main Style', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipptak-section-seo">
          <i class="ipptak-fa ipptak-fa-globe"></i>
          <strong><?php _e( 'SEO', IPPTAK_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
