<?php
/**
 * Bar view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->bar ) || ! $this->bar ) {
  return;
}
$st = $this->barSetting;
$marLeft  = (int)$st->getSetting( 'margin_left', 0 );
$marRight = (int)$st->getSetting( 'margin_right', 0 );
?>

<?php
//
//Style
$this->view( 'front/bar/style' );

$mainClass  = 'ipptak-widget ipptak-bar';
$mainClass .= ' ipptak-bar-' . $this->bar->ID;
$mainClass .= ' ipptak-bar-' . $st->getSetting( 'position', 'bottom' );

if ( $radius = $st->getSetting( 'border_radius' )) {
  $mainClass .= ' ipptak-radius-' . $radius;
}
if ( $st->getSetting( 'shadow', 'false' ) == 'true' ) {
  $mainClass .= ' ipptak-shadow-on';
} else {
  $mainClass .= ' ipptak-shadow-off';
}
if ( isset( $this->isPreview )) {
  $mainClass .= ' ipptak-bar-preview ipptak-bar-hide';
}

if ( $marLeft == 0 && $marRight == 0 && ( ! $radius || $radius == 'none' ) ) {
  $mainClass .= ' ipptak-full';
}
?>
<div class="<?php echo $mainClass; ?>">
  <div class="ipptak-bar-wrapper">
    <div class="ipptak-bar-inner">
      <div class="ipptak-bar-main clearfix">
        <?php
        $this->view( 'front/bar/info' );
        $this->view( 'front/bar/countdown' );
        $this->view( 'front/bar/button' );
        ?>
      </div>
    </div>
    <div class="ipptak-bar-background"></div>
    <?php
    //Close button
    $this->view( 'front/bar/close' );
    //Effect
    $this->view( 'front/bar/effect' );
    ?>
  </div>
</div>
