<?php
/**
 * Box style
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->boxSetting;
//
//Image
$imgurl = false;
if ( $bgimg = $st->getSetting( 'background_image' ))
{
    $data = wp_get_attachment_image_src( $bgimg, 'full' );
    if ( ! empty( $data[0] )) {
        $imgurl = $data[0];
    }
}
$repeat   = $st->getSetting( 'background_repeat', 'repeat' );
$bgcolor  = $st->getSetting( 'background_color', '#f9f9f9' );

$color    = $st->getSetting( 'text_color', '#333333' );
$bowidth  = $st->getSetting( 'border_width' );
$bocolor  = $st->getSetting( 'border_color', '#dddddd' );
$padding  = $st->getSetting( 'padding', '0' );
//Font
$font_opt = $st->getSetting( 'header_font_family', 'roboto' );
$family   = IPPtak_Font::getFamily( $font_opt );
$width    = ($padding*2)+($bowidth*2)+280;
$mleft    = $width/2;
$position = $st->getSetting( 'position', 'left' );
?>

<style>
<?php
//.ipptak-box
?>
.ipptak-box-<?php echo $this->box->ID; ?> {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  width: <?php echo $width; ?>px;
  background-color: <?php echo $bgcolor ?>;
  <?php
  if ( $position == 'center' ) {
    echo 'margin-left: -' . $mleft . 'px;';
  }
  ?>
}

<?php
//.ipptak-box-inner
?>
.ipptak-box-<?php echo $this->box->ID; ?> .ipptak-box-inner {
  padding: <?php echo $padding; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}

<?php
//.ipptak-box-background
?>
.ipptak-box-<?php echo $this->box->ID; ?> .ipptak-box-background
{
  background-color: <?php echo $bgcolor ?>;
  <?php
  if ( $imgurl ) {
    echo 'background-image: url(' . $imgurl . ');';
    echo 'background-repeat:'. $repeat . ';';
  }
  if ( $opacity = $st->getSetting( 'background_opacity' )) {
      $value = $opacity/100;
      echo 'opacity:' . $value . ';';
  }
  ?>
}
</style>
