<?php
/**
 * Review page bottom view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st      = $this->setting;
$style   = $st->getSetting( 'footer_style', 1 );
$bgcolor = $st->getSetting( 'footer_background_color', '#ffffff' );
$color   = $st->getSetting( 'footer_color', '#333333' );
$bowidth = $st->getSetting( 'footer_border_width' );
$bocolor = $st->getSetting( 'footer_border_color', '#dddddd' );
$padtop  = $st->getSetting( 'footer_padding_top', '0' );
$padbot  = $st->getSetting( 'footer_padding_bottom', '0' );
//Font
$font_opt = $st->getSetting( 'footer_font_family', 'roboto' );
$family   = IPPtak_Font::getFamily( $font_opt );
?>


<style>
.ipptak-page ._bottom {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
}

<?php
//
//Style 1
if ( $style == 1 ) :
?>
.ipptak-page ._bottom {
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
}
<?php
//
//Style 2
elseif ( $style == 2 ) :
?>
.ipptak-page ._bottom {
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
<?php
//
//Style 3 & 4
else :
?>
.ipptak-page ._bottom-inner {
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
<?php
endif;
?>
</style>

<?php
$class  = '_bottom';
$class .= ' _bottom-style-' . $st->getSetting( 'footer_style', 1 );
$class .= ' _align-' . $st->getSetting( 'footer_alignment', 'left' );
if ( $radius = $st->getSetting( 'footer_border_radius' )) {
    $class .= ' _radius-' . $radius;
}
?>
<div class="<?php echo $class; ?>">
  <div class="_bottom-inner container">
    <div class="_bottom-main">
      <?php
      echo $st->getSetting( 'footer_text' );
      ?>
    </div>
  </div>
</div>
