<?php
/**
 * Page top view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st    = $this->setting;
$style = $st->getSetting( 'header_style', 1 );
$align = $st->getSetting( 'header_alignment', 'left' );

$class  = '_top';
$class .= ' _align-' . $align;
$class .= ' _top-style-' . $st->getSetting( 'header_style', 1 );

//
//If style != 1
if ( $style != 1 ) {
  if ( $radius = $st->getSetting( 'header_border_radius' )) {
      $class .= ' _radius-' . $radius;
  }
  if ( $st->getSetting( 'header_shadow', 'false' ) == 'true' ) {
      $class .= ' _shadow-on';
  } else {
      $class .= ' _shadow-off';
  }
}
?>

<?php
//Style
$this->view( 'front/page/top/style' );
?>

<!-- start: ._top -->
<div class="<?php echo $class; ?>">
  <!-- start: ._top-inner -->
  <div class="_top-inner container">
    <!-- start: .row -->
    <div class="row">
      <?php
      $align = $st->getSetting( 'header_alignment', 'left' );
      if ( $align == 'right' ) {
        $leftClass  = 'col-sm-5 pull-right';
        $rightClass = 'col-sm-7';
      }
      else if ( $align == 'center' ) {
        $leftClass  = 'col-xs-12';
        $rightClass = 'col-xs-12';
      }
      else {
        $leftClass  = 'col-sm-5';
        $rightClass = 'col-sm-7';
      }
      ?>
      <!-- start: .col-sm-5 -->
      <div class="<?php echo $leftClass; ?>">
        <?php
        //Title
        $this->view( 'front/page/top/title' );
        ?>
      </div>
      <!-- end: .col-sm-5 -->

      <!-- start: .col-sm-7 -->
      <div class="<?php echo $rightClass; ?>">
        <?php
        //Share buttons
        $this->view( 'front/page/top/share' );
        ?>
      </div>
      <!-- end: .col-sm-7 -->
    </div>
    <!-- end: .row -->

  </div>
  <!-- end: ._top-inner -->
</div>
<!-- end: ._top -->
