<?php
/**
 * Bar style
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->barSetting;
//
//Image
$imgurl = false;
if ( $bgimg = $st->getSetting( 'background_image' ))
{
    $data = wp_get_attachment_image_src( $bgimg, 'full' );
    if ( ! empty( $data[0] )) {
        $imgurl = $data[0];
    }
}
$repeat   = $st->getSetting( 'background_repeat', 'repeat' );
$bgcolor  = $st->getSetting( 'background_color', '#f9f9f9' );

$color    = $st->getSetting( 'text_color', '#333333' );
$bowidth  = $st->getSetting( 'border_width' );
$bocolor  = $st->getSetting( 'border_color', '#dddddd' );
$padtop   = $st->getSetting( 'padding_top', '0' );
$padbot   = $st->getSetting( 'padding_bottom', '0' );
$marLeft  = $st->getSetting( 'margin_left', '0' );
$marRight = $st->getSetting( 'margin_right', '0' );
//Font
$font_opt = $st->getSetting( 'header_font_family', 'roboto' );
$family   = IPPtak_Font::getFamily( $font_opt );
?>

<style>
<?php
//.ipptak-bar
?>
.ipptak-bar-<?php echo $this->bar->ID; ?> {
  margin-left: <?php echo $marLeft; ?>px;
  margin-right: <?php echo $marRight; ?>px;
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  background-color: <?php echo $bgcolor ?>;
}

<?php
//.ipptak-bar-inner
?>
.ipptak-bar-<?php echo $this->bar->ID; ?> .ipptak-bar-inner {
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}

<?php
//.ipptak-bar-background
?>
.ipptak-bar-<?php echo $this->bar->ID; ?> .ipptak-bar-background
{
  background-color: <?php echo $bgcolor ?>;
  <?php
  if ( $imgurl ) {
    echo 'background-image: url(' . $imgurl . ');';
    echo 'background-repeat:'. $repeat . ';';
  }
  if ( $opacity = $st->getSetting( 'background_opacity' )) {
      $value = $opacity/100;
      echo 'opacity:' . $value . ';';
  }
  ?>
}
</style>
