<?php
/**
 * Share button
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
if ( $st->getSetting( 'share_status', 'false' ) == 'false' ) {
    return;
}
?>
<div class="ipptak-share">
  <div class="_share-inner">
    <ul class="_share-list">
      <?php
      $socials  = array(
        'facebook',
        'twitter',
        'google-plus',
        'pinterest',
        'linkedin',
        'tumblr',
        'stumbleupon',
        'digg',
        'email'
      );
      $style = $st->getSetting( 'share_button_style', 'square_flat' );
      $root  = IPPTAK_BASE_URL . 'assets/img/icon/' . $style . '/';
      foreach( $socials as $social )
      {
        if ( $st->getSetting( 'share_' . $social, 'on' ) == 'on' )
        {
          $icon = $root . $social . '.png';
          $link = $this->getShareLink( $social );

          echo    '<li class="_share _share-' . $social . '"><a href="' . $link . '" class="_share-link">' .
                      '<img src="' . $icon . '" alt="' . $social . '">' .
                  '</a></li>';  
        }
      }
      ?>
    </ul>
  </div>
</div>
